

% Alistair Boettiger                                   Date Begun: 12/03/09
% Getz Lab                                          Last Modified: 12/03/09

% Draw Fig4


clear all;

load('/Users/alistair/Documents/Berkeley/Getz_Lab/Data-mat/spatialerr_1p5.mat');


 
%% Plot vector graphic objects without raster to save as .ai

 NT2(WT==0)=-.1;  colordef white;
fig6 = figure(6); clf;
axes1 = axes('Parent',fig6);

  plot(roads_x,roads_y,'r','linewidth',1); hold on;
  plot(rivs_x,rivs_y,'c','linewidth',1); 
  plot(parks_x,parks_y,'g','linewidth',2);
  plot(villages(:,2),villages(:,1),'ro','MarkerSize',30,'linewidth',3);
  
 xlabel('degrees E longitude', 'FontSize',18);
 ylabel('degrees N latitude','FontSize',18);
 set(gcf,'color','white'); set(gca,'FontSize',18);
 colorbar('peer',axes1,'YTickLabel',{'No data','Low','','','','High',''},...
    'YTick',[-.1:.2:1],'FontSize',18);
 ylim([.45,.8]); xlim([37.3,37.95]);
  set(gcf,'color','w');
 
 %% Plot raster map in same figure axis, save this as .tiff
fig6 = figure(6); clf;
axes1 = axes('Parent',fig6);
pcolor(longs,lats,NT2); shading interp;  hold on; 
colormap(C);  colorbar;  % figure(5); 
 ylim([.45,.8]); xlim([37.3,37.95]);
 set(gca,'Xtick',0,'Xticklabel',' ','Ytick',0,'Yticklabel', ' '); 
  colorbar('peer',axes1,'YTickLabel',' ', 'YTick',[-2]);
 set(gcf,'color','w');
 
 % Merge in Photoshop.  

 
 %%
  
%% Plot vector graphic objects with raster to save as .eps
load('/Users/alistair/Documents/Berkeley/Getz_Lab/Data-mat/spatialerr_1p5.mat');

 NT2(WT==0)=-.1;  colordef white;
fig6 = figure(6); clf;
axes1 = axes('Parent',fig6);

pcolor(longs,lats,NT2); shading interp;  hold on; 
  plot(roads_x,roads_y,'r','linewidth',1); hold on;
  plot(rivs_x,rivs_y,'c','linewidth',1); 
  plot(parks_x,parks_y,'g','linewidth',2);
  plot(villages(:,2),villages(:,1),'ro','MarkerSize',30,'linewidth',3);
  
 xlabel('degrees E longitude', 'FontSize',18);
 ylabel('degrees N latitude','FontSize',18);
 set(gcf,'color','white'); set(gca,'FontSize',18);
 colorbar('peer',axes1,'YTickLabel',{'No data','Low','','','','High',''},...
    'YTick',[-.1:.2:1],'FontSize',18);
 ylim([.45,.8]); xlim([37.3,37.95]);
  set(gcf,'color','w');
 
 %% Plot raster map in same figure axis, save this as .tiff



 % Merge in Photoshop.  
