

% Figure S3
% Alistair Boettiger
% 01/06/10


load segsize_data


for E=1:12
figure(1); 
semilogx(Bv, ErrK(E,:),'Marker','.','MarkerSize',30,'Color',[E/12,1-E/12,E/12]);
hold on;
end

figure(1); clf;

errorbar(log10(Bv), mean(Err_mov), std(Err_mov),'color','b','linewidth',2);  hold on;
errorbar(log10(Bv), mean(Err_hum), std(Err_hum),'color','y','linewidth',2);
errorbar(log10(Bv), mean(Err_h2o), std(Err_h2o),'color','c','linewidth',2);
errorbar(log10(Bv), mean(Err_ndvi), std(Err_ndvi),'color','g','linewidth',2);
errorbar(log10(Bv), mean(ErrK), std(ErrK),'color','k','linewidth',3);
xlabel('log(data size)'); ylabel('Average MSE prediction');
legend('past mov','human','perm water','ndvi','all');
set(gcf,'color','w');
